• Post Reply Bookmark Topic Watch Topic
  • New Topic

Spring-Hibernate Trouble

 
Ola Daniel
Ranch Hand
Posts: 105
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hello Im having some trouble using spring-hibernate for persistence. I suspect i donot have a required library for my code to work.
The error i get is:


Can any one tell me which JAR (library) I need which would contain the net.sf.hibernate package.

I have already tried downloading the hibernate library from hibernate.org, this library contains org.hibernate package but not net.sf.hibernate package.
 
Paul Sturrock
Bartender
Posts: 10336
Eclipse IDE Hibernate Java
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
You are correct, you have the wrong library. "net.sf.hibernate" was the package structure for Hibernate 2, "org.hibernate" is the package structure for Hibernate 3. Make sure you have the right version of Hibernate in your classpath.
 
Ola Daniel
Ranch Hand
Posts: 105
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Thanks Paul
 
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!